我有一个正在根据API级别21进行编译的应用程序: 然后在具有API级别23的真实设备上调试它: 问题是当我尝试通过Android OS自己的类进行调试时,得到“源代码与字节码不匹配”。为什么会这样呢?应用运行的测试设备为API级别23,正在调试的源文件也为级别23。 我真的很困惑。谁能解释为什么我看到此消息以及如何解决它? 解决方案如下: 有一个open issue for this in Google's IssueTracker。截至本帖子发布之日,本期中提供的潜在解决方案是: 单击生成->清洁 在设置…

2019年4月17日 0条评论 32点热度 阅读全文